## Bsoft program

# badd

### Usage: badd [options] input.images

Adds multiple images to generate a new composite image.
Any number of input images may be given and may include the wild card "*". All images are converted to floating point.

### Actions:

-rescale -0.1,5.2 | Rescale input images to average and standard deviation.
-average | Output average image rather than the sum.
-std | Output standard deviation image rather than variance image.
-center | Center images before summation.

### Parameters:

-verbose 7 | Verbosity of output.
-datatype u | Force writing of a new data type.
-sampling 1.5,1.5,1.5 | Sampling (A/pixel; a single value can be given).
-origin 0.8,-10,15.7 | Set the origin (default from input image).
-weights 0.1,0.3,0.9 | Weights for input files (default 1 for every file).

### Output:

-output output.img | Output image (default sum.map).
-fom fom.img | Output variance/standard deviation image.

### Examples:

| To sum three images with different weights:
| badd -v 7 -rescale 0,1 -weights 0.5,1.2,0.87 -output new.pif in1.map in2.map in3.map
| To output the standard deviation of the summed input images:
| badd -v 7 -fom stdev.map -output sum.pif *.spi

Bsoft version 2.0.3-20180917 (64 bit)